package com.doverfuelingsolutions.issp.utils.sp

import com.doverfuelingsolutions.issp.R
import com.doverfuelingsolutions.issp.utils.StringUtil

class SPKeys {

    companion object {

        val FIRST_LAUNCH = StringUtil.get(R.string.sp_first_launch)

        val ACCOUNT_NAME: String = StringUtil.get(R.string.sp_account_name)
        val PASSWORD: String = StringUtil.get(R.string.sp_password)
        val ACCESS_TOKEN: String = StringUtil.get(R.string.sp_access_token)
        val ACCESS_TOKEN_EXPIRE: String = StringUtil.get(R.string.sp_access_token_expire)
        val BU_ID: String = StringUtil.get(R.string.sp_bu_id)
        val BU_NAME: String = StringUtil.get(R.string.sp_bu_name)
        val STATION_TEL: String = StringUtil.get(R.string.sp_station_tel)
        val STATION_LOGO_FILE: String = StringUtil.get(R.string.sp_station_logo_file)

        val SN: String = StringUtil.get(R.string.sp_sn)
        val SN_RAW: String = StringUtil.get(R.string.sp_sn_raw)

        val SERVER_DOMAIN: String = StringUtil.get(R.string.sp_server_domain)
        val SERVER_PORT_BASE: String = StringUtil.get(R.string.sp_server_port_base)
        val SERVER_PORT_TRX: String = StringUtil.get(R.string.sp_server_port_trx)
        val SERVER_PORT_CONFIG: String = StringUtil.get(R.string.sp_server_port_config)
        val MIDDLE_IP: String = StringUtil.get(R.string.sp_middle_ip)
        val MIDDLE_PORT: String = StringUtil.get(R.string.sp_middle_port)
        val MIDDLE_WORKSTATION_ID: String = StringUtil.get(R.string.sp_middle_workstation_id)
        val FUEL_IP: String = StringUtil.get(R.string.sp_fuel_ip)
        val FUEL_PORT: String = StringUtil.get(R.string.sp_fuel_port)

        val FUEL_BARCODE: String = StringUtil.get(R.string.sp_fuel_barcode)
    }
}